Package org.springframework.security.web.authentication

# Class ForwardAuthenticationSuccessHandler

java.lang.Object
org.springframework.security.web.authentication.ForwardAuthenticationSuccessHandler

All Implemented Interfaces:
  `AuthenticationSuccessHandler`

public class ForwardAuthenticationSuccessHandler extends Object implements AuthenticationSuccessHandler

Forward Authentication Success Handler

Since:
  4.1

## Constructor Summary

Constructors
Constructor
Description
`ForwardAuthenticationSuccessHandler(String forwardUrl)`

## Method Summary

Modifier and Type
Method
Description
`void`
`onAuthenticationSuccess(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.Authentication authentication)`
Called when a user has been successfully authenticated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.security.web.authentication.AuthenticationSuccessHandler

`onAuthenticationSuccess`

## Constructor Details

### ForwardAuthenticationSuccessHandler

public ForwardAuthenticationSuccessHandler(String forwardUrl)

Parameters:
  `forwardUrl` -

## Method Details

### onAuthenticationSuccess

public void onAuthenticationSuccess(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.Authentication authentication) throws IOException, jakarta.servlet.ServletException
Description copied from interface: `AuthenticationSuccessHandler`
Called when a user has been successfully authenticated.

Specified by:
  `onAuthenticationSuccess` in interface `AuthenticationSuccessHandler`
Parameters:
  `request` - the request which caused the successful authentication
  `response` - the response
  `authentication` - the `Authentication` object which was created during the authentication process.
Throws:
  `IOException`
  `jakarta.servlet.ServletException`